> For the complete documentation index, see [llms.txt](https://docs.morphware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.morphware.com/api-docs.md).

# API Docs

This document provides information about key API endpoints available in the Morphware Chat-UI application.

## Table of Contents

* [Credits](/api-docs/credits.md)
* [Pricing](/api-docs/pricing.md)
* [Chat Completions](/api-docs/chat-completion.md)
* [Ollama Embeddings](/api-docs/ollama-embeddings.md)
* [Image Generation](/api-docs/image-generation.md)

## Authentication

Most endpoints require authentication via a JWT token or Api Key. Include the token or Api Key in the Authorization header as:

```
Authorization: Bearer <your_jwt_token>
```

or

```
Authorization: Bearer <your_api_key>
```

To obtain a token, use the login endpoint, Auth authentication flow, or create an Api Key at app.morphware.com


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.morphware.com/api-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
